Bug 134859 - ping -f (flood) option does not work
ping -f (flood) option does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
: 169141 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 15:51 EDT by Vince Skahan
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 20020927-27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 07:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vince Skahan 2004-10-06 15:51:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Boeing 
Kit; .NET CLR 1.1.4322)

Description of problem:

The -f (flood) option to ping does not work in FedoraCore2, the pings 
work, but it's not flooding at all.

It works fine in RedHat9, and replacing the FC2 ping binary with 
redhat9's binary also works fine under FC2.



Version-Release number of selected component (if applicable):
iputils-20020927-13

How reproducible:
Always

Steps to Reproduce:
1. On a redhat9 system, ping flood a system (ping -f -n 
xxx.xxx.xxx.xxx) for a few seconds, then control-C out.  Examine the 
number of paets transmitted vs. the number of seconds, typical PCs 
might send 5000 packets/sec or so.
2. repeat the test using a FC2 system, and see how many are sent


Actual Results:  It's pretty obvious that the FC2 ping binary is 
ignoring the -f option totally.

Additional info:
Comment 1 Radek Vokal 2004-10-07 04:09:31 EDT
PING 192.168.1.16 (192.168.1.16) 56(84) bytes of data.

RHEL3 with base iputils
--- 192.168.1.16 ping statistics ---
244 packets transmitted, 244 received, 0% packet loss, time 4502ms
rtt min/avg/max/mdev = 0.131/0.350/0.821/0.129 ms, pipe 2, ipg/ewma
18.528/0.424 ms

Fedora Core 2 with iputils-20020124-16
--- 192.168.1.16 ping statistics ---
399 packets transmitted, 399 received, 0% packet loss, time 5989ms
rtt min/avg/max/mdev = 0.128/0.383/0.809/0.170 ms, pipe 2, ipg/ewma
15.047/0.426 ms

You can see that results are quite worse on FC2 but I would say that
is's because of our regular net traffic. 
Comment 2 Vince Skahan 2004-10-07 11:14:25 EDT
Please reopen.

Only 60 packets/second (RHEL3) isn't a flood, it's a trickle.

I get 5000 packets/second using RH9, whose -f option works.
Comment 3 Vince Skahan 2004-10-07 11:16:59 EDT
(more data from here - redhat9 => redhat9)

26519 packets transmitted, 26519 received, 0% packet loss, time 5878ms
rtt min/avg/max/mdev = 0.153/0.159/0.532/0.014 ms, ipg/ewma 
0.221/0.155 ms
Comment 4 Matthew Miller 2005-04-26 11:01:20 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Vince Skahan 2005-05-22 14:03:45 EDT
please reopen for fc3, it's broken there (still).
Comment 6 Radek Vokal 2005-09-26 03:37:46 EDT
*** Bug 169141 has been marked as a duplicate of this bug. ***
Comment 7 Jörn Engel 2005-09-26 04:30:20 EDT
Not sure whether any RedHat version ever had a decent floodping.  Ime, every
single version I ever tried was horribly slow, including RH7 and RH8 systems.

The debian version is quite a bit faster:
# time ping -f -c 1000 9.152.251.1 
PING 9.152.251.1 (9.152.251.1): 56 data bytes
.
--- 9.152.251.1 ping statistics ---
1000 packets transmitted, 1000 packets received, 0% packet loss
round-trip min/avg/max = 0.1/0.1/2.8 ms

real    0m0.328s
user    0m0.008s
sys     0m0.016s

I guess you can take the debian package, compare the sources and figure where
your problem is.
Comment 8 Radek Vokal 2005-09-26 07:33:27 EDT
Thanks for a tip with debian package. A small fix seems to resolve this issue,
please try the latest iputils-20020927-27 package

Note You need to log in before you can comment on or make changes to this bug.